Bug 139290 - Help button for "Load Styles" in Writer goes to the wrong help page
Summary: Help button for "Load Styles" in Writer goes to the wrong help page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: Help-Link
  Show dependency treegraph
 
Reported: 2020-12-28 20:20 UTC by sdc.blanco
Modified: 2021-10-14 14:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-12-28 20:20:33 UTC
1. Open Writer Document
2. Choose Styles > Load Styles
3. Press "Help" button in "Load Styles" dialog

Actual result:  https://help.libreoffice.org/7.2/en-US/text/simpress/01/05120100.html

Expected result: https://help.libreoffice.org/7.2/en-US/text/swriter/01/05170000.html

tested with: Version: 7.2.0.0.alpha0+ (x64)

Additional information:

Works as expected with 6.3.6.2  --> Regression
Comment 1 mulla.tasanim 2020-12-29 17:54:39 UTC
Thank you for reporting the bug.

I can confirm that the bug is present in

Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 761a672d62df1891b9f4f367a499b220ab2b33fa
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 2 Commit Notification 2021-10-14 13:41:06 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/89ebbf38c76bc5ea6e8161adaa2c4a55772b4ecb

tdf#139290 Help button for Load Styles to right page